Bug 738974 - Enable broadway backend.
Summary: Enable broadway backend.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 08:40 UTC by Fabian Deutsch
Modified: 2013-05-10 18:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-10 18:18:42 UTC


Attachments (Terms of Use)
A suggested patch. (2.89 KB, patch)
2011-09-16 09:30 UTC, Fabian Deutsch
no flags Details | Diff
applicable patch. (2.25 KB, patch)
2011-09-16 09:37 UTC, Fabian Deutsch
no flags Details | Diff

Description Fabian Deutsch 2011-09-16 08:40:39 UTC
I just saw that gtk3 was updated to 3.1.90.
It would be nice if the gdk broadway backend could be enabled.

Comment 1 Fabian Deutsch 2011-09-16 09:30:42 UTC
Created attachment 523525 [details]
A suggested patch.

Comment 2 Fabian Deutsch 2011-09-16 09:37:33 UTC
Created attachment 523527 [details]
applicable patch.

Comment 3 Matthias Clasen 2011-10-24 23:38:41 UTC
Broadway is still very much an experimental backend.
At the very least, https://bugzilla.gnome.org/show_bug.cgi?id=656521 needs to be addressed before we can think about enabling it.

Comment 4 Fabian Deutsch 2011-10-29 16:14:19 UTC
Yes, maybe it was a bit early to request this.

Comment 5 Kazimieras Vaina 2012-03-05 11:16:11 UTC
The https://bugzilla.gnome.org/show_bug.cgi?id=656521 appears to be fixed already.

Comment 6 Gilboa Davara 2012-11-14 14:31:39 UTC
Any updates? As reported 656521 appears to be fixed.
Rebuilt gtk3 w/ broadway works just fine under Fedora 17 x86_64 / Firefox 16.0.2.

- Gilboa

Comment 7 Fedora End Of Life 2013-01-16 15:22:12 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Adam Tkac 2013-01-21 11:55:48 UTC
The broadband backend is still not present in F18. Is there any plan to include it?

Comment 9 Adam Tkac 2013-01-21 11:56:09 UTC
(In reply to comment #8)
> The broadband backend is still not present in F18. Is there any plan to
> include it?

s/broadband/broadway

Comment 10 Matthias Clasen 2013-01-22 00:56:18 UTC
We'll enable Broadway for f19

Comment 11 Marc-Andre Lureau 2013-05-10 12:24:10 UTC
Any news?

Comment 12 Matthias Clasen 2013-05-10 18:18:42 UTC
it is enabled for f19 and beyond, if thats what you're asking


Note You need to log in before you can comment on or make changes to this bug.